Cisco Support Community
Community Member

Upgrade from 2.46 to 3.1

I want to upgrade a Unity server from 2.46 to 3.1(5). How can I preserve the data (e.g. system config, user account...etc) without using the database export/import tools because the tool is not supported by TAC.

And how about the message in exchange 5.5. Does it work if I migrate from exchange 5.5 to 2000 by the Exmerge tool. No any side effect? Anything I should pay special attention to.

Pls give me some idea.


Cisco Employee

Re: Upgrade from 2.46 to 3.1

FulldBExport and Import is fully supported by tac, has been for some time and the process is documented in our upgrade guides which you'll find here:

The upgrading from 2.x chapter there talks specifically about using FullDBImport/Export. I'm curious why you assumed it's not supported by TAC... did someone tell you this?

Community Member

Re: Upgrade from 2.46 to 3.1

From the notes above, is the import tools for 2.46 only not supported by TAC, but not 3.X. I am quite confused.

And how about migrating the data from exchange 5.5 to 2000. It works fine with Unity or not. Could u give me some idea.

Thx again.

Cisco Employee

Re: Upgrade from 2.46 to 3.1

Exporting data from any 2.x system as far back as 2.3.4(102) through 2.4.6(x) and importing it to 3.0(1) or later is fully supported by TAC - this is what the tool was designed to do and how it was tested.

Exporting 2.x information and importing it into a 2.4.6 system is not supported by TAC - this is the original tool I wrote some time ago - the exports are the same for both but the import portions are very, very different since 2.4.6 uses Exchange 5.5 as it's native directory and 3.0(1) and later uses SQL. This is what's explained on the 2.x download page vs. the 3.x/4.x download pages for FullDBImport/Export.

The back end does not matter to FullDBImport/Export - it populates SQL with the user information exported from 2.x and lets the syncher in the 3.x/4.x system take care of talking to the back end directory and message store to actually create/bind to the users in the directory. The help file and the installation guide I sent you the link for in the last post go into this.

CreatePlease to create content